﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinCalcManager;
using System.Diagnostics;
using Infragistics.Win.UltraWinGrid;
using System.Reflection;
using Infragistics.Win.CalcEngine;

namespace _98013
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Infragistics.Shared.ResourceCustomizer rc;
            rc = Infragistics.Shared.Resources.Customizer;
            rc.SetCustomizedString("Value_UCErrorCode_Div", "NaN");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Salary", typeof(int));
            dt.Columns.Add("Date", typeof(DateTime));
            dt.Columns.Add("age", typeof(int));
            dt.Columns.Add("total-multi", typeof(int));
            dt.Columns.Add("total-prod", typeof(int));
            dt.Columns.Add("div", typeof(int));
            dt.Rows.Add(new object[] { 100, "Chris", DBNull.Value, "02/03/2012", 10 });
            dt.Rows.Add(new object[] { 101, "Mary", 8489, "05/04/2010", 10 });
            dt.Rows.Add(new object[] { 102, "Ajay", 564, "06/05/3022", 10 });

            // this.ultraGrid1.DisplayLayout.Bands[0].Columns.Add("UnboundColumn", "Total");

            DataColumn[] dc = new DataColumn[1];
            dc[0] = dt.Columns["ID"];
            dt.PrimaryKey = dc;
            this.ultraGrid1.DataSource = dt;
            this.ultraGrid1.DataBind();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["total-multi"].Nullable = Infragistics.Win.UltraWinGrid.Nullable.Null;
            e.Layout.Bands[0].Columns["total-multi"].Formula = "[ID]* [Salary]* [age]"; // "product([ID], [Salary], [age])";

            e.Layout.Bands[0].Columns["total-prod"].Nullable = Infragistics.Win.UltraWinGrid.Nullable.Null;
            e.Layout.Bands[0].Columns["total-prod"].Formula = "product([ID], [Salary], [age])";
            
            e.Layout.Bands[0].Columns["div"].Nullable = Infragistics.Win.UltraWinGrid.Nullable.Null;
            e.Layout.Bands[0].Columns["div"].Formula = "[ID]/[total-multi]";
            

        }

        
    }
}
